Package org.eclipse.ecf.provider.remoteservice.generic

# Class RemoteCallImpl

java.lang.Object
org.eclipse.ecf.core.sharedobject.SharedObjectMsg
org.eclipse.ecf.provider.remoteservice.generic.RemoteCallImpl

All Implemented Interfaces:
  `Serializable`, `IRemoteCall`

public class RemoteCallImpl extends SharedObjectMsg implements IRemoteCall, Serializable

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.eclipse.ecf.core.sharedobject.SharedObjectMsg

`clazz, method, nullArgs, nullTypes, parameters`

### Fields inherited from interface org.eclipse.ecf.remoteservice.IRemoteCall

`DEFAULT_TIMEOUT`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RemoteCallImpl(String clazz, String method, Object[] parameters, long timeout)`

## Method Summary

Modifier and Type
Method
Description
`static RemoteCallImpl`
`createRemoteCall(String clazz, String method, Object[] parameters, long timeout)`
`long`
`getTimeout()`
Get timeout (in ms) for the remote call.
`String`
`toString()`

### Methods inherited from class org.eclipse.ecf.core.sharedobject.SharedObjectMsg

`checkAlterMsg, checkForSerializable, createMsg, createMsg, createMsg, createMsg, createMsg, createMsg, createMsg, createMsg, createMsg, createMsg, findMethod, findMethod, findMethodRecursive, findMethodRecursive, getClass, getClassName, getMethod, getNameForClass, getParameters, getParameterTypes, getTypesForParameters, invoke, searchForMethod, setClassName, setMethod, setParameters`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.ecf.remoteservice.IRemoteCall

`getMethod, getParameters`

## Constructor Details

### RemoteCallImpl

protected RemoteCallImpl(String clazz, String method, Object[] parameters, long timeout)

## Method Details

### createRemoteCall

public static RemoteCallImpl createRemoteCall(String clazz, String method, Object[] parameters, long timeout)

Parameters:
  `clazz` - the class
  `method` - the method
  `parameters` - the parameters
  `timeout` - timeout
Returns:
  RemoteCallImpl created remote call
Since:
  4.0

### getTimeout

public long getTimeout()
Description copied from interface: `IRemoteCall`
Get timeout (in ms) for the remote call.

Specified by:
  `getTimeout` in interface `IRemoteCall`
Returns:
  long timeout in ms

### toString

public String toString()

Overrides:
  `toString` in class `SharedObjectMsg`